# Interface FeatureSetProperties

Properties that can be passed into the constructor for data/FeatureSet!FeatureSet.

interface FeatureSetProperties {
features?: (Feature | FeatureProperties)[];
id?: string;
schema?: SchemaProperties;
settings?: FeatureSettingsProperties;
source?: FeatureSource;
title?: string;
}

#### Hierarchy (view full)

- EntityProperties
  - FeatureSetProperties

#####
Index

### Properties

features?
id?
schema?
settings?
source?
title?

##
Properties

### `Optional` features

features?: (Feature | FeatureProperties)[]

The features contained in the set.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id

### `Optional` schema

schema?: SchemaProperties

Metadata about features such as fields, domains, and geometry type.

### `Optional` settings

settings?: FeatureSettingsProperties

Default settings that apply to features in this set.

### `Optional` source

source?: FeatureSource

The source for the features.

### `Optional` title

title?: string

A human-readable name for the feature set.